package domain

type TargetURL struct {
	URL
}

func (tu *TargetURL) IsEmpty() bool {
	return tu == nil || tu.URL.IsEmpty()
}

/*
MayRedirect defines whether the TargetURL may be used in a redirection.

In the current version, any non empty URL may be used. In future versions, some
restrictions like blocked URLs or even whole domains may limit the availability
of a target URL.
*/
func (tu *TargetURL) MayRedirect() bool {
	return !tu.IsEmpty()
}
